// User Gareth    http://letsmakerobots.com/user/2941
// Project Node   http://letsmakerobots.com/node/12394
// Remote Receiving Temparature and Humidity over RF Link to LCD Display
// how to use VirtualWire to receive messages and display floating point values to LCD Display
// Implements a simplex (one-way) receiver with an Rx-B1 module
// rx pin 23 on mega

#include <VirtualWire.h>
#undef int
#undef abs
#undef double
#undef float
#undef round
void setup()
{
    Serial.begin(9600);	// Debugging only
    
        // Initialise the IO and ISR
    vw_set_ptt_inverted(true); // Required for DR3100
    vw_setup(2000);	 // Bits per sec
    vw_set_rx_pin(23);
    vw_rx_start();       // Start the receiver PLL running
}

void loop()
{
  
    uint8_t buf[VW_MAX_MESSAGE_LEN];
    uint8_t buflen = VW_MAX_MESSAGE_LEN;

    if (vw_get_message(buf, &buflen)) // Non-blocking
    {
	int i;

        digitalWrite(13, true); // Flash a light to show received good message
	// Message with a good checksum received, dump it.
	
	for (i = 0; i < buflen; i++)
    {
        Serial.print(buf[i]);  // the received data is stored in buffer
        }
    Serial.println("");
     }
}

